MKSTEMP(3)

NAME
mkstemp - create a unique temporary file

SYNOPSIS
#include <unistd.h>

int mkstemp(char *template);

DESCRIPTION
The mkstemp() function generates a unique temporary file name from template. The last six characters of template must be XXXXXX and these are replaced with a string that makes the filename unique. The file is then created with mode read/write and permissions 0666.

RETURN VALUE
The mkstemp() function returns the file descriptor fd of the temporary file.

ERRORS

EINVAL
    The last six characters of template were not XXXXXX.

EEXIST
    The temporary file is not unique.

CONFORMING TO
BSD 4.3

SEE ALSO
mktemp(3), tmpnam(3), tempnam(3), tmpfile(3)